ASA-2019-00210 – Tomcat: Execução remota de código no Windows


For the English version of this alert, click here.

Allele Security Alert

ASA-2019-00210

Identificador(es)

ASA-2019-00210, CVE-2019-0232

Título

Execução remota de código no Windows

Fabricante(s)

Apache

Produto(s)

Tomcat

Versão(ões) afetada(s)

Apache Tomcat 7.0.0 até 7.0.93
Apache Tomcat 8.5.0 até 8.5.39
Apache Tomcat 9.0.0.M1 até 9.0.17

Versão(ões) corrigida(s)

Apache Tomcat 7.0.94
Apache Tomcat 8.5.40
Apache Tomcat 9.0.19

Prova de conceito

Sim

Descrição

Quando executado no Windows com enableCmdLineArguments ativado, o Servlet CGI é vulnerável à Execução Remota de Código devido a um erro na maneira como o JRE passa os argumentos da linha de comando para o Windows. O servlet CGI está desativado por padrão. A opção CGI enableCmdLineArguments está desativada por padrão no Tomcat 9.0.x (e será desativada por padrão em todas as versões em resposta a essa vulnerabilidade).

Detalhes técnicos

Desconhecido

Créditos

Nightwatch Cybersecurity Research

Referência(s)

Apache Tomcat® – Apache Tomcat 7 vulnerabilities
https://tomcat.apache.org/security-7.html

Apache Tomcat® – Apache Tomcat 8 vulnerabilities
https://tomcat.apache.org/security-8.html

Apache Tomcat® – Apache Tomcat 9 vulnerabilities
https://tomcat.apache.org/security-9.html

Upcoming Advisory for Apache Tomcat Vulnerability – CVE-2019-0232
https://wwws.nightwatchcybersecurity.com/2019/04/15/upcoming-advisory-for-apache-tomcat-vulnerability-cve-2019-0232/

Limit CGI command line arguments
https://github.com/apache/tomcat/commit/7f0221b

Limit CGI command line arguments
https://github.com/apache/tomcat/commit/5bc4e6d

Limit CGI command line arguments
https://github.com/apache/tomcat/commit/4b244d8

Apache Tomcat Remote Code Execution on Windows
https://github.com/pyn3rd/CVE-2019-0232

Uncovering CVE-2019-0232: A Remote Code Execution Vulnerability in Apache Tomcat
https://blog.trendmicro.com/trendlabs-security-intelligence/uncovering-cve-2019-0232-a-remote-code-execution-vulnerability-in-apache-tomcat/

CVE-2019-0232
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-0232

CVE-2019-0232
https://nvd.nist.gov/vuln/detail/CVE-2019-0232

Se encontrou algum erro neste alerta ou deseja uma análise compreensiva, entre em contato.

Última modificação: 24 abril 2019

Não somos responsáveis por qualquer perda de dados, corrupção de dispositivos ou qualquer outro tipo de problema devido ao uso de qualquer informação mencionada em nossos alertas de segurança.